#include <built_in.h>

// LCD module connections
sbit AD5220_CLK at RD0_bit;
sbit AD5220_CS at RD1_bit;
sbit AD5220_UP at RD2_bit;

void main()
{
     // Configure AN pins as digital
     ANSEL  = 0;
     ANSELH = 0;

     // Port A en entre
     TRISA=0xFF;

     // Configuration en sortie des ports
     TRISD=0;

     // Initialisation AD5220
     PORTD=0xFF;
     AD5220_CLK=1;
     AD5220_CS=1;
     AD5220_UP=1;

     while(1)
     {
      // UP Counter
      if (Button(&PORTA, 0, 1, 1))
      {
         // Activation du circuit AD5220
         AD5220_CS=0;
         delay_ms(10);

         // Mode incrmentation
         AD5220_UP=1;
         delay_ms(10);

         // Activation de l'horloge
         AD5220_CLK=0;
         delay_ms(10);

         // Initialisation AD5220
          AD5220_CLK=1;
          AD5220_CS=1;
          AD5220_UP=1;

         // Tempo cycle
         Delay_ms(100);
      }

      // Down Counter
      if (Button(&PORTA, 1, 1, 1))
      {
         // Activation du circuit AD5220
         AD5220_CS=0;
         delay_ms(10);

         // Mode dcrmentation
         AD5220_UP=0;
         delay_ms(10);

         // Activation de l'horloge
         AD5220_CLK=0;
         delay_ms(10);

         // Initialisation AD5220
          AD5220_CLK=1;
          AD5220_CS=1;
          AD5220_UP=1;

         // Tempo cycle
         Delay_ms(100);
      }

      // Initialisation AD5220
      AD5220_CLK=1;
      AD5220_CS=1;
      AD5220_UP=1;

     }
}